=== debian/changelog ===
tycho (0.25.0-4) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on libcommons-httpclient-java
    (Closes: #881335)
  * Fixed the compilation errors with Java 9 (Closes: #874130)
  * Removed the unused build dependency on glassfish-javaee

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Nov 2017 14:58:03 +0100

tycho (0.25.0-3) unstable; urgency=medium

  * Remove obsolete maven rules for bcel artifact.
    Thanks to Adrian Bunk for the report. (Closes: #879250)
  * Declare compliance with Debian Policy 4.1.1.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Oct 2017 12:33:16 +0200

tycho (0.25.0-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Depend on asm (>= 5.0) instead of libasm4-java.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.1.0.
  * Add plexus-compatibility.patch and fix FTBFS with the latest
    plexus-archiver version. (Closes: #871347)

  [ Christopher Hoskin ]
  * Fix copyright paths with spaces.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Sep 2017 02:35:30 +0200

tycho (0.25.0-1) unstable; urgency=medium

  * Initial release. (Closes: #816604)
  * Thanks to Luca Vercelli and Christopher Hoskin for their initial work on
    this package.

 -- Markus Koschany <apo@debian.org>  Tue, 29 Nov 2016 21:42:39 +0100
