=== debian/control ===
Source: tycho
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Luca Vercelli <luca.vercelli.to@gmail.com>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant,
 debhelper (>= 10),
 default-jdk,
 ecj,
 libaether-java,
 libasm-java (>= 5.0),
 libbcel-java,
 libcommons-compress-java,
 libcommons-exec-java,
 libcommons-httpclient-java,
 libcommons-jxpath-java,
 libdecentxml-java,
 libgeronimo-commonj-spec-java,
 libicu4j-java,
 libmaven-archiver-java (>=2.0),
 libmaven-assembly-plugin-java,
 libmaven-bundle-plugin-java (>=2.5.4),
 libmaven-clean-plugin-java,
 libmaven-compiler-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-jar-plugin-java,
 libmaven-plugin-testing-java,
 libmaven-plugin-tools-java (>=3.0),
 libmaven-resources-plugin-java,
 libmaven-site-plugin-java,
 libmaven-source-plugin-java,
 libmaven-verifier-java,
 libmockito-java,
 libplexus-compiler-java (>=2.0),
 libplexus-component-metadata-java (>=1.5),
 libplexus-utils-java,
 libsac-java,
 libsurefire-java,
 libxz-java,
 maven-debian-helper,
 rsync,
 sat4j (>= 2.3.5),
 zip
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-java/tycho.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tycho.git
Homepage: https://eclipse.org/tycho/

Package: libtycho-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Recommends:
 ${maven:Recommends}
Description: build Eclipse plugins with Maven
 Tycho is a set of Maven plugins and extensions for building Eclipse plugins
 and OSGI bundles with Maven. Eclipse plugins and OSGI bundles have their own
 metadata for expressing dependencies, source folder locations, etc. that are
 normally found in a Maven POM. Tycho uses native metadata for Eclipse plugins
 and OSGi bundles and uses the POM to configure and drive the build. Tycho
 supports bundles, fragments, features, update site projects and RCP
 applications. Tycho also knows how to run JUnit test plugins using OSGi
 runtime and there is also support for sharing build results using Maven
 artifact repositories.
