## tycho 1.0.0

=== debian/changelog ===
tycho (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed the compatibility with equinox-p2 4.8

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Dec 2018 15:56:23 +0100

tycho (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Christopher Hoskin ]
  * Add debian/clean 

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Ignore the new test modules
    - Removed the dependency on libcommons-httpclient-java
    - Removed the dependency on libcommons-jxpath-java
  * Use the Eclipse Aether/Maven Resolver API instead of Sonatype Aether
  * Replaced the embedded bundles with dependencies on eclipse/equinox packages
  * Disabled the lock file marker created in /usr/share/maven-repo/
  * Patched DefaultEquinoxEmbedder to throw explicit exception messages
  * Simplified the Maven rules
  * Added a watch file
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 28 Oct 2018 10:46:11 +0100
