=== debian/control ===
--- 
+++ 
@@ -3,23 +3,41 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
- Luca Vercelli <luca.vercelli.to@gmail.com>,
- Markus Koschany <apo@debian.org>
+ Luca Vercelli <luca.vercelli.to@gmail.com>
 Build-Depends:
  ant,
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-jdk,
- ecj,
- libaether-java,
  libasm-java (>= 5.0),
  libbcel-java,
  libcommons-compress-java,
  libcommons-exec-java,
- libcommons-httpclient-java,
- libcommons-jxpath-java,
  libdecentxml-java,
+ libeclipse-core-net-java,
+ libeclipse-core-runtime-java,
+ libeclipse-jdt-compiler-apt-java,
+ libeclipse-jdt-core-java,
+ libeclipse-osgi-compatibility-state-java,
+ libeclipse-osgi-java (>= 3.13.0+eclipse4.8),
+ libeclipse-osgi-util-java,
+ libequinox-app-java,
+ libequinox-common-java,
+ libequinox-frameworkadmin-java,
+ libequinox-p2-artifact-repository-java,
+ libequinox-p2-core-java,
+ libequinox-p2-director-app-java,
+ libequinox-p2-director-java,
+ libequinox-p2-metadata-java (>= 2.4.0+eclipse4.8),
+ libequinox-p2-metadata-repository-java,
+ libequinox-p2-publisher-eclipse-java (>= 1.3.0+eclipse4.8),
+ libequinox-p2-publisher-java,
+ libequinox-p2-repository-java,
+ libequinox-p2-repository-tools-java (>= 2.2.0+eclipse4.8),
+ libequinox-p2-updatesite-java,
+ libequinox-preferences-java,
+ libequinox-registry-java,
+ libequinox-security-java,
  libgeronimo-commonj-spec-java,
- libicu4j-java,
  libmaven-archiver-java (>=2.0),
  libmaven-assembly-plugin-java,
  libmaven-bundle-plugin-java (>=2.5.4),
@@ -42,11 +60,10 @@
  libxz-java,
  maven-debian-helper,
  rsync,
- sat4j (>= 2.3.5),
  zip
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/tycho.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tycho.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/tycho.git
+Vcs-Browser: https://salsa.debian.org/java-team/tycho
 Homepage: https://eclipse.org/tycho/
 
 Package: libtycho-java
