## tycho 1.2.0

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Luca Vercelli <luca.vercelli.to@gmail.com>
 Build-Depends:
  ant,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  default-jdk,
  libasm-java (>= 5.0),
  libbcel-java,
@@ -61,10 +61,11 @@
  maven-debian-helper,
  rsync,
  zip
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/tycho.git
 Vcs-Browser: https://salsa.debian.org/java-team/tycho
 Homepage: https://eclipse.org/tycho/
+Rules-Requires-Root: no
 
 Package: libtycho-java
 Architecture: all
