## tycho 1.3.0

=== debian/changelog ===
tycho (1.3.0-2) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Remove dependency on tycho-1.2.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 14 Dec 2019 14:25:20 +0000

tycho (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Update to upstream tycho-1.3.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 30 Nov 2019 19:03:59 +0000

tycho (1.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Update to upstream tycho-1.2.0
  * Update to compat level 12
  * Standards Version updated to 4.4.1

  [ tony mancill ]
  * Set "Rules-Requires-Root: no" in debian/control

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 16 Nov 2019 21:07:38 +0000
