=== debian/control ===
--- 
+++ 
@@ -15,8 +15,6 @@
  libdecentxml-java,
  libeclipse-core-net-java,
  libeclipse-core-runtime-java,
- libeclipse-jdt-compiler-apt-java,
- libeclipse-jdt-core-java,
  libeclipse-osgi-compatibility-state-java,
  libeclipse-osgi-java (>= 3.13.0+eclipse4.8),
  libeclipse-osgi-util-java,
@@ -60,7 +58,8 @@
  libxz-java,
  maven-debian-helper,
  rsync,
- zip
+ zip,
+ libecj-java
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/tycho.git
 Vcs-Browser: https://salsa.debian.org/java-team/tycho
