=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- package -Dmaven.test.skip=true

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	#patch eclipse-application packaging
	cp tycho-bundles/tycho-bundles-external/target/tycho-bundles-external.zip debian/libtycho-java/usr/share/maven-repo/org/eclipse/tycho/tycho-bundles-external/$(DEB_VERSION_UPSTREAM)/tycho-bundles-external-$(DEB_VERSION_UPSTREAM).zip
	ln -s ../$(DEB_VERSION_UPSTREAM)/tycho-bundles-external-$(DEB_VERSION_UPSTREAM).zip debian/libtycho-java/usr/share/maven-repo/org/eclipse/tycho/tycho-bundles-external/debian/tycho-bundles-external-debian.zip
