=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/eclipse/tycho/tags .*/tycho-([\d\.]+).tar.gz
