## tycho 1.6.0

=== debian/changelog ===
tycho (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Explicit dependency on osgi-compendium in the Maven pom (Closes: #1027643)
  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2023 12:22:45 +0100

tycho (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS due to libeclipse-osgi-java. (Closes: #973073)
    - Backport upstream patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Nov 2020 10:30:17 +0000

tycho (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 26 May 2020 21:19:15 +0100

tycho (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * Update to upstream tycho-1.5.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 17 Apr 2020 23:43:04 +0100

tycho (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * Update to upstream tycho-1.4.0
  * Update Standards-Version to 4.5.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 17 Mar 2020 22:31:52 +0000
