=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Luca Vercelli <luca.vercelli.to@gmail.com>
 Build-Depends:
  ant,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  libasm-java (>= 5.0),
  libbcel-java,
@@ -15,6 +15,7 @@
  libdecentxml-java,
  libeclipse-core-net-java,
  libeclipse-core-runtime-java,
+ libeclipse-jdt-core-java,
  libeclipse-osgi-compatibility-state-java,
  libeclipse-osgi-java (>= 3.13.0+eclipse4.8),
  libeclipse-osgi-util-java,
@@ -58,9 +59,8 @@
  libxz-java,
  maven-debian-helper,
  rsync,
- zip,
- libecj-java
-Standards-Version: 4.4.1
+ zip
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/tycho.git
 Vcs-Browser: https://salsa.debian.org/java-team/tycho
 Homepage: https://eclipse.org/tycho/
