## tycho 2.7.5

=== debian/changelog ===
tycho (2.7.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: Add patch adding a getCompilerId()
    implementation to JDTCompiler (LP: #2089702)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 27 Nov 2024 00:02:42 +0530

tycho (2.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #987681)
    - New dependency on libcommons-codec-java
    - New dependency on libcommons-io-java
    - New dependency on libbcpg-java
    - Build the new tycho-ds-plugin module
    - Ignore the new tycho-build and tycho-gpg-plugin modules
    - New build dependency on libmaven-antrun-plugin-java
    - Updated the Maven rules
  * Fixed the compatibility with Eclipse 4.29 (Closes: #1028378, #1031686)
  * Fixed the compatibility with plexus-archiver 4.4
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Oct 2024 15:14:00 +0200

tycho (2.3.0-1) experimental; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Standards-Version updated to 4.5.1

  [ Sudip Mukherjee ]
  * New upstream version 2.3.0 (Closes: #987681)
    - Remove upstream applied patches and refresh.
    - Add new dependency.
    - Update Copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 02 May 2021 21:14:33 +0100
