=== debian/control ===
--- 
+++ 
@@ -10,15 +10,17 @@
  default-jdk,
  libasm-java (>= 5.0),
  libbcel-java,
+ libbcpg-java,
+ libcommons-codec-java,
  libcommons-compress-java,
  libcommons-exec-java,
+ libcommons-io-java,
  libdecentxml-java,
  libeclipse-core-net-java,
  libeclipse-core-runtime-java,
  libeclipse-jdt-core-java,
  libeclipse-osgi-compatibility-state-java,
  libeclipse-osgi-java (>= 3.13.0+eclipse4.8),
- libeclipse-osgi-util-java,
  libequinox-app-java,
  libequinox-common-java,
  libequinox-frameworkadmin-java,
@@ -37,7 +39,8 @@
  libequinox-registry-java,
  libequinox-security-java,
  libgeronimo-commonj-spec-java,
- libmaven-archiver-java (>=2.0),
+ libmaven-antrun-plugin-java,
+ libmaven-archiver-java (>= 3.6),
  libmaven-assembly-plugin-java,
  libmaven-bundle-plugin-java (>=2.5.4),
  libmaven-clean-plugin-java,
@@ -60,7 +63,7 @@
  maven-debian-helper,
  rsync,
  zip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/tycho.git
 Vcs-Browser: https://salsa.debian.org/java-team/tycho
 Homepage: https://eclipse.org/tycho/
